Bug 225269 - science/kst2: clang 6 crashes during build
Summary: science/kst2: clang 6 crashes during build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dimitry Andric
URL:
Keywords: toolchain
Depends on:
Blocks: 224669
  Show dependency treegraph
 
Reported: 2018-01-17 17:36 UTC by Jan Beich
Modified: 2018-01-29 11:23 UTC (History)
1 user (show)

See Also:


Attachments
src/libkstmath/curve.cpp (compressed, preprocessed) (443.34 KB, application/x-xz)
2018-01-17 17:36 UTC, Jan Beich
no flags Details
command line args (for clang 6.0) (4.45 KB, text/plain)
2018-01-17 17:36 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-01-17 17:36:02 UTC
Created attachment 189843 [details]
src/libkstmath/curve.cpp (compressed, preprocessed)

/usr/bin/c++  -DBUILD_KSTMATH -DKST_HAVE_REVISION_H -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NO_DEBUG -Dkst2math_EXPORTS -isystem /usr/local/include/qt4 -isystem /usr/local/include/qt4/QtGui -isystem /usr/local/include/qt4/QtCore -I. -I/usr/local/include/qt4/QtDesigner -I/usr/local/include/qt4/QtDeclarative -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4/QtSql -I/usr/local/include/qt4/QtOpenGL -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtXmlPatterns -I/usr/local/include/qt4/QtWebKit -I/usr/local/include/qt4/QtHelp -I/usr/local/include/qt4/QtUiTools -I/usr/local/include/qt4/QtScript -I/usr/local/include/qt4/QtSvg -I/usr/local/include/qt4/Qt3Support -I/usr/local/share/qt4/mkspecs/default -I/wrkdirs/usr/ports/science/kst2/work/Kst-2.0.8/src/libkst -Isrc/libkst -I/wrkdirs/usr/ports/science/kst2/work/Kst-2.0.8/src/libkstmath -Isrc/libkstmath -O2 -pipe -fstack-protector -fno-strict-aliasing -Wall -O2 -pipe -fstack-protector -fno-strict-aliasing -fPIC -MD -MT src/libkstmath/CMakeFiles/kst2math.dir/curve.cpp.o -MF src/libkstmath/CMakeFiles/kst2math.dir/curve.cpp.o.d -o src/libkstmath/CMakeFiles/kst2math.dir/curve.cpp.o -c /wrkdirs/usr/ports/science/kst2/work/Kst-2.0.8/src/libkstmath/curve.cpp
Bad flavor while matching min/max
UNREACHABLE executed at /usr/local/poudriere/jails/head-amd64/usr/src/contrib/llvm/lib/Analysis/ValueTracking.cpp:4217!
c++: error: unable to execute command: Abort trap (core dumped)
c++: error: clang frontend command failed due to signal (use -v to see invocation)
FreeBSD clang version 6.0.0 (branches/release_60 321788) (based on LLVM 6.0.0)
Target: x86_64-unknown-freebsd12.0
Thread model: posix
InstalledDir: /usr/bin

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p459147_s328035/logs/errors/kst-2.0.8_3.log
http://beefy11.nyi.freebsd.org/data/head-i386-default/p459147_s328035/logs/errors/kst-2.0.8_3.log
Comment 1 Jan Beich freebsd_committer 2018-01-17 17:36:34 UTC
Created attachment 189844 [details]
command line args (for clang 6.0)
Comment 2 Dimitry Andric freebsd_committer 2018-01-17 22:15:13 UTC
This seems to be fallout of https://bugs.llvm.org/show_bug.cgi?id=35717, I'm investigating whether https://reviews.llvm.org/rL322016 helps.
Comment 3 commit-hook freebsd_committer 2018-01-18 21:44:17 UTC
A commit references this bug:

Author: dim
Date: Thu Jan 18 21:44:07 UTC 2018
New revision: 328145
URL: https://svnweb.freebsd.org/changeset/base/328145

Log:
  Pull in r322016 from upstream llvm trunk (by Sanjay Patel):

    [ValueTracking] remove overzealous assert

    The test is derived from a failing fuzz test:
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=5008

    Credit to @rksimon for pointing out the problem.

  This should fix "Bad flavor while matching min/max" errors when building
  the graphics/libsixel and science/kst2 ports.

  Reported by:	jbeich
  PR:		225268, 225269

Changes:
  head/contrib/llvm/lib/Analysis/ValueTracking.cpp